%{!?__python2:        %define __python2 /usr/bin/python2}
%{!?python2_sitelib:  %define python2_sitelib  %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python2_sitearch: %define python2_sitearch %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%{!?python2_version:  %define python2_version  %(%{__python2} -c "import sys; sys.stdout.write(sys.version[:3])")}

%define modn   unittest2
%define modv   0.8.0


Summary:       Unittest features backported to Python 2.6+
Name:          python-%{modn}
Version:       %{modv}
Release:       1%{?dist}%{?pext}
License:       BSD
Group:         Development/Libraries
Source0:       https://pypi.python.org/packages/source/u/%{modn}/%{modn}-%{modv}.tar.gz
Patch0:        %{modn}-0.8.0-build.patch
Patch1:        %{modn}-0.8.0-tests.patch
URL:           https://pypi.python.org/pypi/%{modn}/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Michael Foord <michael@voidspace.org.uk>
Provides:      python(%{modn}) = %{modv}
Provides:      python(%{modn}.test) = %{modv}
Requires:      python-argparse python-six
Requires:      python-setuptools
BuildRequires: python2-devel >= 2.6 python-setuptools
BuildRequires: python-argparse python-six
BuildArch:     noarch


%description
Unittest2 is a backport of the new features added to the unittest testing
framework in Python 2.7 and onwards. To use unittest2 instead of unittest
simply replace the import module name with unittest2.


%prep
%setup -q -n %{modn}-%{modv}
%patch0 -p1
%patch1 -p1


%build
%{__python2} -c 'import setuptools; execfile("setup.py")' build


%check
%{__python2} setup.py test


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

%{__python2} -c 'import setuptools; execfile("setup.py")' install \
	--skip-build -O1 --root ${RPM_BUILD_ROOT}


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc README*
%{_bindir}/unit2
%{_bindir}/unit2-%{python2_version}
%{python2_sitelib}/%{modn}
%{python2_sitelib}/*.egg-info


%changelog
* Mon Jan 12 2015 Peter Pramberger <peterpramb@member.fsf.org> - 0.8.0-1
- Initial build
